<template>
  <v-btn
    :id="settings.id || null"
    :class="settings.class"
    :style="settings.style"
    :nuxt="!!url"
    :to="url"
    v-text="settings.text"
  ></v-btn>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },

    url() {
      return this.settings.url || null
    },
  },
}
</script>
